## puppet-afs
This afs module is designed to install openafs packages , enable the service and configure afs clients.

## Custom facts
1. openafspartsize, report the size of the volume that /usr/vice/cache resides on.
2. openafsversion, report the version of openafs.

### Parameteres to afs class
* `cachesize` Give the size of afs cache, default in params.pp
* `memcachesize` Give the size of memory cache, default in params.pp
* `options` Setting afs options for sysconfig file, for default see default_options in params.pp
* `runserver` Default to false
* `thiscell` Declare a new cell for afs, default is cern.ch and will this module will run for this cell and only
* `isupstream` Checking the operating system and the openafsversion to decide what packages should be installed and how to configure the service

Puppet databindings allows all the above settings to be set via hiera, users can override the default values inside '/etc/puppet/userdata/module_names/afs/afs.yaml'  

## Contact
Aris Boutselis <aris.boutselis@cern.ch>  

## Support
https://gitlab.cern.ch/linuxsupport/puppet-ssh
